Name:           clasp
Version:        3.1.0
Release:        1%{?dist}
Summary:        A conflict-driven nogood learning answer set solver

Group:          Applications/Engineering
License:        GPLv2
URL:            http://potassco.sourceforge.net
Source0:        http://downloads.sourceforge.net/potassco/%{name}-%{version}-source.tar.gz

BuildRequires:  tbb-devel >= 3.0.1

%package devel
Summary:        Static library for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       tbb-devel >= 3.0.1

%description
clasp is an answer set solver for (extended) normal and disjunctive logic
programs. It combines the high-level modeling capacities of answer set
programming (ASP) with state-of-the-art techniques from the area of Boolean
constraint solving. The primary clasp algorithm relies on conflict-driven nogood
learning, a technique that proved very successful for satisfiability checking
(SAT). Unlike other learning ASP solvers, clasp does not rely on legacy
software, such as a SAT solver or any other existing ASP solver. Rather, clasp
has been genuinely developed for answer set solving based on conflict-driven
nogood learning. clasp can be applied as an ASP solver (on SMODELS format, as
output by Gringo), as a SAT solver (on a simplified version of DIMACS/CNF
format), or as a PB solver (on OPB format). 

%description devel
A static library is provided with %{name} and is provided by this package.

%prep
%setup -q

%build
./configure.sh --prefix=%{_prefix} --bindir=%{_bindir} --config=custom --with-mt TBB_LIB=%{_libdir} CXXFLAGS="${CXXFLAGS:-%optflags} -O3 -D_DEBUG -DDEBUG"
make -C build/custom_mt %{?_smp_mflags}

%install
install -p -m0755 -D build/custom_mt/bin/%{name} %{buildroot}%{_bindir}/%{name}
install -p -m0644 -D build/custom_mt/lib%{name}/lib/lib%{name}.a %{buildroot}%{_libdir}/lib%{name}.a
mkdir -p %{buildroot}%{_includedir}
cp -a lib%{name}/%{name} %{buildroot}%{_includedir}/%{name}

%files
%doc CHANGES COPYING README
%{_bindir}/%{name}

%files devel
%{_libdir}/lib%{name}.a
%{_includedir}/%{name}

%changelog
* Sun Sep 21 2014 Scott K Logan <logans@cottsay.net> - 3.1.0-1
- Update to 3.1.0
- Remove FSF address workarounds

* Sun Aug 10 2014 Scott K Logan <logans@cottsay.net> - 3.0.1-2
- Maintain timestamps on installed files
- Add base dependency to -devel package
- Clean up make syntax

* Wed Apr 23 2014 Scott K Logan <logans@cottsay.net> - 3.0.1-1
- Initial package
